%define module	XML-Filter-BufferText
%define version	1.01
%define release	2mdk

Summary:	Filter to put all characters() in one event
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/R/RB/RBERJON/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This is a very simple filter. One common cause of grief (and programmer error)
is that XML parsers aren't required to provide character events in one chunk.
They can, but are not forced to, and most don't. This filter does the trivial
but oft-repeated task of putting all characters into a single event.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk 
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-1mdk 
- first mdk release
